@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@300;400;700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Material+Icons|Material+Icons+Outlined|Material+Icons+Round|Material+Icons+Sharp|Material+Icons+Two+Tone');

html[lang="ja"] {
  font-family: 'Noto Sans JP', sans-serif;
}

input[type="number"]::-webkit-outer-spin-button,
input[type="number"]::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type="number"] {
  -moz-appearance:textfield;
}

body {
  font-size: 14px;
}

.app-root {
  min-height: 100vh;
}

.header {
  display: flex;
  position: fixed;
  top: 0;
  left: 200px;
  right: 0;
  z-index: 999;
  overflow: visible;
  height: auto;
  background-color: #333;
  border-bottom: solid 1px #C1CBD0;
  justify-content: space-between;
  align-items: center;
}

.header__inner {
  display: flex;
  align-items: center;
  padding: 10px;
}

.header__logo {
  width: 160px;
  display: block;
  box-sizing: border-box;
}

.header__logo img {
  width: 160px;
}

.header__version {
  margin-left: 20px;
  color: #d93737;
  cursor: pointer;
}

.header__version::before {
  font-family: 'Material Icons';
  content: '\e88e';
  vertical-align: bottom;
  margin-right: 5px;
  color: #d93737;
}

.nav__list {
  display: flex;
  align-items: center;
}

.nav__item {
  margin: 0 10px 0 0;
}

.dropdown {
  position: relative;
  cursor: pointer;
}

.dropdown .menu {
  display: none;
}

.menu.active {
  position: absolute;
  top: 25px;
  right: 0;
  display: block;
  width: 165px;
  box-shadow: 3px 3px 3px #bbb;
}

.menu a {
  display: block;
  padding: 10px;
  background: #F5F5F5;
}

.menu a:hover {
  background: #c5c5c5;
}

.header__logout {
  color: #547cb4;
}

#logout-btn {
  vertical-align: text-top;
}

.sidebar {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 999;
  overflow: visible;
  width: 200px;
  height: 100%;
  background: #333;
  text-align: center;
  color: #FFF;
  padding-top: 100px;
}

.sidebar__item a {
  display: block;
  padding: 15px 0 15px 20px;
  text-align: left;
  font-weight: bold;
}

.sidebar__item a::before {
  font-family: 'Material Icons';
  margin: 0 4px 0 0;
  vertical-align: bottom;
}

.sidebar__item:nth-child(1) a::before {
  content: '\f1d0';
}

.sidebar__item:nth-child(2) a::before {
  content: '\e88e';
}

.sidebar__item:nth-child(3) a::before {
  content: '\e01d';
}

.sidebar__item:nth-child(4) a::before {
  content: '\e2c6';
}

.sidebar__item.active {
  background: #F5D281;
}

.app-main {
  position: relative;
  padding-top: 108px;
  margin-left: 200px;
  min-height: 100vh;
}

/* flash */
.flash-success {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 9999;
  padding: 20px ;
  background: #F9D05D;
  border-radius: 5px;
}

.flash-success p {
  width: 250px;
  color: #FFF;
}

.flash-success p::before {
  font-family: 'Material Icons';
  content: '\e876';
  display: inline-block;
  margin: 0 10px 0 0;
  vertical-align: bottom;
}

.flash-error {
  position: absolute;
  top: 10px;
  right: 10px;
  z-index: 9999;
  padding: 20px ;
  background: #FA815C;
  border-radius: 5px;
}

.flash-error p {
  width: 250px;
  color: #FFF;
}

.flash-error p::before {
  font-family: 'Material Icons';
  content: '\e5cd';
  display: inline-block;
  margin: 0 10px 0 0;
  vertical-align: bottom;
}

@keyframes hide {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    display:none;
    z-index: -1;
  }
}

.hide {
  animation: hide 3s linear 1s;
  animation-fill-mode: forwards;
}

.feedback__button {
  right: 72px;
  bottom: 0;
  display: flex;
  -webkit-box-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 44px;
  height: 44px;
  border-radius: 50%;
  background-color: rgba(249, 208, 93, .6);
  color: #fff;
  font-size: 18px;
  line-height: 1;
  cursor: pointer;
  transition: background-color .2s;
}

.feedback__button:hover {
	background-color: rgba(249, 208, 93, .8);
}

img {
  max-width: 100%;
  max-height: 100%;
}

.suslab {
  margin-left: 10px;
  width: 100px;
}

.material-icons-outlined {
  color:#fff;
}

#logout-btn {
  color:#fff;
}